Download it now!
Bug 127889 - Can't unmerge cells using tabbed user interface
Summary: Can't unmerge cells using tabbed user interface
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.3.1.2 release
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0 target:6.4.5
Keywords:
Depends on:
Blocks: Notebookbar-Tabbed
  Show dependency treegraph
 
Reported: 2019-09-30 21:01 UTC by Francisco Mendez
Modified: 2020-05-10 13:07 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Tabbed mode (41.37 KB, image/png)
2019-09-30 21:01 UTC, Francisco Mendez
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Francisco Mendez 2019-09-30 21:01:14 UTC
Created attachment 154661 [details]
Tabbed mode

When you use 'tabbed or tabbed compact' user interface mode, and you try to unmerge two or more cells (previously meged), merge button gets disabled and unmerge operation can't be done using menu button. if you move to any other user interface mode, button is enabled and operation works.
Comment 1 andreas_k 2020-05-06 20:22:24 UTC
thanks for the bug report. fix is already in gerrit https://gerrit.libreoffice.org/c/core/+/93593.
Comment 2 Commit Notification 2020-05-06 21:17:32 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/07c871457f095816b266adaa101e1c6c37b635d5

tdf#127889 NB use .uno:ToggleMergeCells instead MergeCells

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2020-05-07 08:23:56 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/481b58b5f87abaee3fa556093c30b9fa5bc07c9e

tdf#127889 NB use .uno:ToggleMergeCells instead MergeCells

It will be available in 6.4.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 BogdanB 2020-05-10 13:07:09 UTC
Works ok on
Version: 7.0.0.0.alpha1
Build ID: 6a03b2a54143a9bc0c6d4c7f1...
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded